# Get Image Prewarm Task - Documentation

> For the complete documentation index, see [llms.txt](/llms.txt). Markdown is available with `Accept: text/markdown` and `.md` URL variants.

Source: /docs/api-reference/gpus-v2-get-image-prewarm

# Get Image Prewarm Task

GET

/

gpus

/

v2

/

prewarm-tasks

/

{task_id}

Try it

Get Image Prewarm Task

cURL

```
curl --request GET \
--url https://api.novita.ai/gpus/v2/prewarm-tasks/{task_id} \
--header 'Authorization: &#x3C;authorization>'
```

```
import requestsurl = "https://api.novita.ai/gpus/v2/prewarm-tasks/{task_id}"headers = {"Authorization": "&#x3C;authorization>"}response = requests.get(url, headers=headers)print(response.text)
```

```
const options = {method: 'GET', headers: {Authorization: '&#x3C;authorization>'}};fetch('https://api.novita.ai/gpus/v2/prewarm-tasks/{task_id}', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
```

```
&#x3C;?php$curl = curl_init();curl_setopt_array($curl, [ CURLOPT_URL => "https://api.novita.ai/gpus/v2/prewarm-tasks/{task_id}", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: &#x3C;authorization>" ],]);$response = curl_exec($curl);$err = curl_error($curl);curl_close($curl);if ($err) { echo "cURL Error #:" . $err;} else { echo $response;}
```

```
package mainimport (	"fmt"	"net/http"	"io")func main() {	url := "https://api.novita.ai/gpus/v2/prewarm-tasks/{task_id}"	req, _ := http.NewRequest("GET", url, nil)	req.Header.Add("Authorization", "&#x3C;authorization>")	res, _ := http.DefaultClient.Do(req)	defer res.Body.Close()	body, _ := io.ReadAll(res.Body)	fmt.Println(string(body))}
```

```
HttpResponse&#x3C;String> response = Unirest.get("https://api.novita.ai/gpus/v2/prewarm-tasks/{task_id}") .header("Authorization", "&#x3C;authorization>") .asString();
```

```
require 'uri'require 'net/http'url = URI("https://api.novita.ai/gpus/v2/prewarm-tasks/{task_id}")http = Net::HTTP.new(url.host, url.port)http.use_ssl = truerequest = Net::HTTP::Get.new(url)request["Authorization"] = '&#x3C;authorization>'response = http.request(request)puts response.read_body
```

200

```
{
"task_id": "prewarm-task-id",
"name": "image:tag",
"image": "registry.example.com/team/image:tag",
"region_id": "region-a",
"product_ids": [
"product-a"
],
"image_size": 10737418240,
"created_at": 1714982400,
"completed_at": 0,
"status": {
"status": "running",
"error": "",
"message": ""
},
"registry_auth_id": "registry-auth-id",
"note": "",
"reason": [
""
]
}
```

#### Headers

[​](#parameter-authorization)

Authorization

string

required

Bearer authentication format, e.g.: `Bearer {{API_KEY}}`.

#### Path Parameters

[​](#parameter-task-id)

task_id

string

required

Image prewarm task ID. String, length: 1-255 characters.

#### Response

200 - application/json

OK

[​](#response-task-id)

task_id

string

Image prewarm task ID

Example:

`"prewarm-task-id"`

[​](#response-name)

name

string

Image name

Example:

`"image:tag"`

[​](#response-image)

image

string

Image address

Example:

`"registry.example.com/team/image:tag"`

[​](#response-region-id)

region_id

string

Region ID

Example:

`"region-a"`

[​](#response-product-ids)

product_ids

string[]

Product IDs covered by prewarming

Example:

```
["product-a"]
```

[​](#response-image-size)

image_size

integer

Image size. Unit: bytes

Example:

`10737418240`

[​](#response-created-at)

created_at

integer

Creation time. Unix timestamp

Example:

`1714982400`

[​](#response-completed-at)

completed_at

integer

Completion time. Unix timestamp; 0 when not finished

Example:

`0`

[​](#response-status)

status

object

Task status

Show child attributes

[​](#response-registry-auth-id)

registry_auth_id

string

Registry authentication ID

Example:

`"registry-auth-id"`

[​](#response-note)

note

string

Note for the prewarm task

Example:

`""`

[​](#response-reason)

reason

string[]

Reasons for prewarm failure

Example:

```
[""]
```

Last modified on June 23, 2026
